// savemsg.js

/* === WINDOW Events === */
/*
  onload event handler
*/
function SaveMsgOnload()
{
	mozileSetVersionById('version');
	
  try {
  	var i, n;
		i = window.arguments[0];

		n = document.getElementById("messagetext");
		//Get rough number of rows.
		//Won't account for any long lines that wrap, but you can scroll the textbox.
		var msgSplit = i.msgText.split('\n',10);
		var msgRows = msgSplit.length;
		n.setAttribute( "rows", msgRows ); 
		n.value = i.msgText.toString();

    n = document.getElementById("status");
		while( n.hasChildNodes() ) n.removeChild( n.firstChild );
		n.appendChild( document.createTextNode(i.status + " " + i.statusText) );

		if ( !( "documentText" in i ) ) {
    	document.getElementById("infoButton").setAttribute( "hidden", "true" );
		}
  }
	catch (e) {
 	  var	f =	["savemsg.js","SaveMsgOnload"];
	  opener.mozileDebug(f,0,"Exception: "+e);
	}
	self.sizeToContent();
	return true;
}

function SaveMsgInfo()
{
  try {
    var SaveInfoWindow = window.opener.open( "", "mozileSaveInfo" );
    SaveInfoWindow.document.open();
    SaveInfoWindow.document.write( window.arguments[0].documentText );
    SaveInfoWindow.document.close();
	}
	catch (e) {
 	  var	f =	["savemsg.js","SaveMsgInfo"];
	  opener.mozileDebug(f,0,"Save Info Window exception: "+e);
	}
  return true;
}
